## kodi-pvr-mediaportal-tvserver 1.10.9+git20150717

=== CMakeLists.txt ===
project(pvr.mediaportal.tvserver)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

enable_language(CXX)

find_package(kodi REQUIRED)
find_package(kodiplatform REQUIRED)
find_package(platform REQUIRED)
find_package(TinyXML REQUIRED)

include_directories(${kodiplatform_INCLUDE_DIRS}
                    ${platform_INCLUDE_DIRS}
                    ${TINYXML_INCLUDE_DIR}
                    ${KODI_INCLUDE_DIR}
                    ${PROJECT_SOURCE_DIR}/src)

add_definitions(-D__STDC_FORMAT_MACROS)

if (NOT WIN32)
  add_options(ALL_LANGUAGES ALL_BUILDS "-fPIC")
endif()

# Source files
set(MPTV_SOURCES src/Cards.cpp
                 src/channels.cpp
                 src/client.cpp
                 src/DateTime.cpp
                 src/epg.cpp
                 src/GenreTable.cpp
                 src/GUIDialogRecordSettings.cpp
                 src/pvrclient-mediaportal.cpp
                 src/recordings.cpp
                 src/Socket.cpp
                 src/timers.cpp
                 src/uri.cpp
                 src/utils.cpp)

if(WIN32)
  set(MPTV_SOURCES_WINDOWS src/windows/FileUtils.cpp
                           src/windows/WindowsUtils.cpp)
  source_group("Source Files\\windows" FILES ${MPTV_SOURCES_WINDOWS})
  list(APPEND MPTV_SOURCES ${MPTV_SOURCES_WINDOWS})
endif(WIN32)

# Header files
set(MPTV_HEADERS src/Cards.h
                 src/channels.h
                 src/client.h
                 src/DateTime.h
                 src/epg.h
                 src/GenreTable.h
                 src/GUIDialogRecordSettings.h
                 src/os-dependent.h
                 src/pvrclient-mediaportal.h
                 src/recordings.h
                 src/Socket.h
                 src/timers.h
                 src/uri.h
                 src/utils.h)
source_group("Header Files" FILES ${MPTV_HEADERS})
if(WIN32)
  set(MPTV_HEADERS_WINDOWS src/windows/WindowsUtils.h)
  source_group("Header Files\\windows" FILES ${MPTV_HEADERS_WINDOWS})
  list(APPEND MPTV_HEADERS ${MPTV_HEADERS_WINDOWS})
endif(WIN32)

if(WIN32)
# Misc files
set(RESOURCE_FILES pvr.mediaportal.tvserver/addon.xml
                pvr.mediaportal.tvserver/changelog.txt
                pvr.mediaportal.tvserver/resources/genre_translation.xml
                pvr.mediaportal.tvserver/resources/settings.xml
                pvr.mediaportal.tvserver/resources/language/resource.language.en_gb/strings.po)
source_group("Resource Files" FILES ${RESOURCE_FILES})
endif(WIN32)

# Make sure that CMake adds the headers to the MSVC project
list(APPEND MPTV_SOURCES ${MPTV_HEADERS} ${RESOURCE_FILES})

add_subdirectory(src/lib/tsreader)

set(DEPLIBS ${platform_LIBRARIES}
            ${TINYXML_LIBRARIES} tsreader)

if(WIN32)
  list(APPEND DEPLIBS ws2_32)
endif(WIN32)

build_addon(pvr.mediaportal.tvserver MPTV DEPLIBS)

include(CPack)

=== src/lib/tsreader/CMakeLists.txt ===
PROJECT(TSReader)

ENABLE_LANGUAGE(CXX)

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

include_directories(../..)

# Source files
SET(SOURCES ChannelInfo.cpp
            DeMultiplexer.cpp
            DvbUtil.cpp
            FileReader.cpp
            MemoryReader.cpp
            MultiFileReader.cpp
            PacketSync.cpp
            PatParser.cpp
            PidTable.cpp
            PmtParser.cpp
            Section.cpp
            SectionDecoder.cpp
            TSHeader.cpp
            TSReader.cpp)

# Header files
SET(HEADERS ChannelInfo.h
            DeMultiplexer.h
            DvbUtil.h
            FileReader.h
            MemoryReader.h
            MultiFileReader.h
            PacketSync.h
            PatParser.h
            PidTable.h
            PmtParser.h
            Section.h
            SectionDecoder.h
            TSDebug.h
            TSHeader.h
            TSReader.h)
SOURCE_GROUP("Header Files" FILES ${HEADERS})

ADD_LIBRARY(tsreader STATIC ${HEADERS} ${SOURCES})

=== debian/changelog ===
kodi-pvr-mediaportal-tvserver (1.10.9+git20150717-2) unstable; urgency=medium

  * Fix compilation on armhf and on many other architectures
  * Add more detailed package description (Closes: #808747)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 23 Dec 2015 14:20:41 +0100

kodi-pvr-mediaportal-tvserver (1.10.9+git20150717-1) unstable; urgency=medium

  * Create packaging compliant to Debian Policy

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 12 Dec 2015 20:31:53 +0100

kodi-pvr-mediaportal-tvserver (1.9.27-1~trusty) trusty; urgency=low

  [ kodi ]
  * autogenerated dummy changelog

 -- Nobody <nobody@kodi.tv>  Sat, 01 Jun 2013 00:59:22 +0200

=== debian/control ===
Source: kodi-pvr-mediaportal-tvserver
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9.0.0), cmake, libtinyxml-dev,
               libkodiplatform-dev (>= 16.0.0), kodi-addons-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/kodi-pvr/pvr.mediaportal-tvserver.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-mediaportal-tvserver.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-mediaportal-tvserver.git


Package: kodi-pvr-mediaportal-tvserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: MediaPortal's TV-Server PVR addon for Kodi
 This package contains the MediaPortal's TV-Server PVR (Personal Video
 Recorder) Addon for Kodi, the award winning free and open source
 software media-player and entertainment hub for all your digital media.
 .
 TV-Server is the component of MediaPortal that manages the user's
 TV cards and streams the TV signal over the network.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	ln -s /usr/include/cec-platform src/platform
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi
override_dh_installdocs:
	dh_installdocs --link-doc=kodi-pvr-mediaportal-tvserver

override_dh_auto_install:
	dh_auto_install
	rm $(CURDIR)/debian/kodi-pvr-mediaportal-tvserver/usr/share/kodi/addons/pvr.mediaportal.tvserver/LICENSE.txt

override_dh_makeshlibs:
	dh_makeshlibs -n

## kodi-pvr-mediaportal-tvserver 1.13.2+git20160301

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,11 +11,20 @@
 find_package(platform REQUIRED)
 find_package(TinyXML REQUIRED)
 
+# Grab the addon version info from the addon.xml file
+FILE(READ ${PROJECT_NAME}/addon.xml.in MPTV_ADDONXML)
+STRING(REGEX MATCH "<addon[^>]*version.?=.?.[0-9\\.]+" MPTV_VERSION_STRING ${MPTV_ADDONXML})
+STRING(REGEX REPLACE ".*version=.([0-9\\.]+).*" "\\1" MPTV_VERSION ${MPTV_VERSION_STRING})
+
+# Generate an addon_version.h header with the version information
+configure_file(src/addon_version.h.in addon_version.h)
+
 include_directories(${kodiplatform_INCLUDE_DIRS}
                     ${platform_INCLUDE_DIRS}
                     ${TINYXML_INCLUDE_DIR}
                     ${KODI_INCLUDE_DIR}
-                    ${PROJECT_SOURCE_DIR}/src)
+                    ${PROJECT_SOURCE_DIR}/src
+                    ${PROJECT_BINARY_DIR})
 
 add_definitions(-D__STDC_FORMAT_MACROS)
 
@@ -46,7 +55,8 @@
 endif(WIN32)
 
 # Header files
-set(MPTV_HEADERS src/Cards.h
+set(MPTV_HEADERS addon_version.h
+                 src/Cards.h
                  src/channels.h
                  src/client.h
                  src/DateTime.h
@@ -77,13 +87,46 @@
 source_group("Resource Files" FILES ${RESOURCE_FILES})
 endif(WIN32)
 
-# Make sure that CMake adds the headers to the MSVC project
-list(APPEND MPTV_SOURCES ${MPTV_HEADERS} ${RESOURCE_FILES})
+# TSReader sources
+set(TSREADER_SOURCES src/lib/tsreader/ChannelInfo.cpp
+            src/lib/tsreader/DeMultiplexer.cpp
+            src/lib/tsreader/DvbUtil.cpp
+            src/lib/tsreader/FileReader.cpp
+            src/lib/tsreader/MemoryReader.cpp
+            src/lib/tsreader/MultiFileReader.cpp
+            src/lib/tsreader/PacketSync.cpp
+            src/lib/tsreader/PatParser.cpp
+            src/lib/tsreader/PidTable.cpp
+            src/lib/tsreader/PmtParser.cpp
+            src/lib/tsreader/Section.cpp
+            src/lib/tsreader/SectionDecoder.cpp
+            src/lib/tsreader/TSHeader.cpp
+            src/lib/tsreader/TSReader.cpp)
+source_group("Source Files\\lib\\tsreader" FILES ${TSREADER_SOURCES})
 
-add_subdirectory(src/lib/tsreader)
+# TSReader sources
+set(TSREADER_HEADERS src/lib/tsreader/ChannelInfo.h
+            src/lib/tsreader/DeMultiplexer.h
+            src/lib/tsreader/DvbUtil.h
+            src/lib/tsreader/FileReader.h
+            src/lib/tsreader/MemoryReader.h
+            src/lib/tsreader/MultiFileReader.h
+            src/lib/tsreader/PacketSync.h
+            src/lib/tsreader/PatParser.h
+            src/lib/tsreader/PidTable.h
+            src/lib/tsreader/PmtParser.h
+            src/lib/tsreader/Section.h
+            src/lib/tsreader/SectionDecoder.h
+            src/lib/tsreader/TSDebug.h
+            src/lib/tsreader/TSHeader.h
+            src/lib/tsreader/TSReader.h)
+source_group("Header Files\\lib\\tsreader" FILES ${TSREADER_HEADERS})
+
+# Make sure that CMake adds all files to the MSVC project
+list(APPEND MPTV_SOURCES ${MPTV_HEADERS} ${TSREADER_SOURCES} ${TSREADER_HEADERS} ${RESOURCE_FILES})
 
 set(DEPLIBS ${platform_LIBRARIES}
-            ${TINYXML_LIBRARIES} tsreader)
+            ${TINYXML_LIBRARIES})
 
 if(WIN32)
   list(APPEND DEPLIBS ws2_32)

=== debian/changelog ===
kodi-pvr-mediaportal-tvserver (1.13.2+git20160301-1) unstable; urgency=medium

  * Imported Upstream version 1.13.2+git20160301
  * Bump standards version to 3.9.7
  * Switch to p8-platform from (cec-)platform
  * Drop patch integrated upstream

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 02 Mar 2016 21:54:21 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Balint Reczey <balint@balintreczey.hu>
 Build-Depends: debhelper (>= 9.0.0), cmake, libtinyxml-dev,
-               libkodiplatform-dev (>= 16.0.0), kodi-addons-dev
-Standards-Version: 3.9.6
+               libkodiplatform-dev (>= 17.0.0), kodi-addons-dev
+Standards-Version: 3.9.7
 Section: libs
 Homepage: https://github.com/kodi-pvr/pvr.mediaportal-tvserver.git
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-mediaportal-tvserver.git

## kodi-pvr-mediaportal-tvserver 2.4.14+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 
 enable_language(CXX)
 
-find_package(kodi REQUIRED)
+find_package(Kodi REQUIRED)
 find_package(kodiplatform REQUIRED)
-find_package(platform REQUIRED)
+find_package(p8-platform REQUIRED)
 find_package(TinyXML REQUIRED)
 
 # Grab the addon version info from the addon.xml file
@@ -19,14 +19,26 @@
 # Generate an addon_version.h header with the version information
 configure_file(src/addon_version.h.in addon_version.h)
 
+set(LIVE555_INCLUDE_DIR
+  src/lib/live555/liveMedia/include
+  src/lib/live555/BasicUsageEnvironment/include
+  src/lib/live555/UsageEnvironment/include
+  src/lib/live555/groupsock/include
+  src/lib/live555/
+)
+
+set(LIVE555_DEFINES -DLIVE555 -DSOCKLEN_T=socklen_t -DBSD=1)
+
 include_directories(${kodiplatform_INCLUDE_DIRS}
-                    ${platform_INCLUDE_DIRS}
+                    ${p8-platform_INCLUDE_DIRS}
                     ${TINYXML_INCLUDE_DIR}
                     ${KODI_INCLUDE_DIR}
                     ${PROJECT_SOURCE_DIR}/src
-                    ${PROJECT_BINARY_DIR})
-
-add_definitions(-D__STDC_FORMAT_MACROS)
+                    ${PROJECT_BINARY_DIR}
+                    ${LIVE555_INCLUDE_DIR}
+)
+
+add_definitions(-D__STDC_FORMAT_MACROS ${LIVE555_DEFINES})
 
 if (NOT WIN32)
   add_options(ALL_LANGUAGES ALL_BUILDS "-fPIC")
@@ -92,7 +104,10 @@
             src/lib/tsreader/DeMultiplexer.cpp
             src/lib/tsreader/DvbUtil.cpp
             src/lib/tsreader/FileReader.cpp
+            src/lib/tsreader/MemoryBuffer.cpp
             src/lib/tsreader/MemoryReader.cpp
+            src/lib/tsreader/MemorySink.cpp
+            src/lib/tsreader/MepoRTSPClient.cpp
             src/lib/tsreader/MultiFileReader.cpp
             src/lib/tsreader/PacketSync.cpp
             src/lib/tsreader/PatParser.cpp
@@ -101,7 +116,8 @@
             src/lib/tsreader/Section.cpp
             src/lib/tsreader/SectionDecoder.cpp
             src/lib/tsreader/TSHeader.cpp
-            src/lib/tsreader/TSReader.cpp)
+            src/lib/tsreader/TSReader.cpp
+)
 source_group("Source Files\\lib\\tsreader" FILES ${TSREADER_SOURCES})
 
 # TSReader sources
@@ -109,7 +125,10 @@
             src/lib/tsreader/DeMultiplexer.h
             src/lib/tsreader/DvbUtil.h
             src/lib/tsreader/FileReader.h
+            src/lib/tsreader/MemoryBuffer.h
             src/lib/tsreader/MemoryReader.h
+            src/lib/tsreader/MemorySink.h
+            src/lib/tsreader/MepoRTSPClient.h
             src/lib/tsreader/MultiFileReader.h
             src/lib/tsreader/PacketSync.h
             src/lib/tsreader/PatParser.h
@@ -122,10 +141,104 @@
             src/lib/tsreader/TSReader.h)
 source_group("Header Files\\lib\\tsreader" FILES ${TSREADER_HEADERS})
 
+#Live555 subset sources
+SET(LIVE555_SOURCES
+            src/lib/live555/BasicUsageEnvironment/BasicHashTable.cpp
+            src/lib/live555/BasicUsageEnvironment/BasicTaskScheduler.cpp
+            src/lib/live555/BasicUsageEnvironment/BasicTaskScheduler0.cpp
+            src/lib/live555/BasicUsageEnvironment/BasicUsageEnvironment.cpp
+            src/lib/live555/BasicUsageEnvironment/BasicUsageEnvironment0.cpp
+            src/lib/live555/BasicUsageEnvironment/DelayQueue.cpp
+            src/lib/live555/UsageEnvironment/HashTable.cpp
+            src/lib/live555/UsageEnvironment/UsageEnvironment.cpp
+            src/lib/live555/UsageEnvironment/strDup.cpp
+            src/lib/live555/groupsock/GroupEId.cpp
+            src/lib/live555/groupsock/Groupsock.cpp
+            src/lib/live555/groupsock/GroupsockHelper.cpp
+            src/lib/live555/groupsock/IOHandlers.cpp
+            src/lib/live555/groupsock/NetAddress.cpp
+            src/lib/live555/groupsock/NetInterface.cpp
+            src/lib/live555/groupsock/inet.c
+            src/lib/live555/liveMedia/Base64.cpp
+            src/lib/live555/liveMedia/BasicUDPSource.cpp
+            src/lib/live555/liveMedia/DigestAuthentication.cpp
+            src/lib/live555/liveMedia/FramedFilter.cpp
+            src/lib/live555/liveMedia/FramedSource.cpp
+            src/lib/live555/liveMedia/Locale.cpp
+            src/lib/live555/liveMedia/MPEG2TransportStreamFramer.cpp
+            src/lib/live555/liveMedia/Media.cpp
+            src/lib/live555/liveMedia/MediaSession.cpp
+            src/lib/live555/liveMedia/MediaSink.cpp
+            src/lib/live555/liveMedia/MediaSource.cpp
+            src/lib/live555/liveMedia/MultiFramedRTPSink.cpp
+            src/lib/live555/liveMedia/MultiFramedRTPSource.cpp
+            src/lib/live555/liveMedia/RTCP.cpp
+            src/lib/live555/liveMedia/RTPInterface.cpp
+            src/lib/live555/liveMedia/RTPSink.cpp
+            src/lib/live555/liveMedia/RTPSource.cpp
+            src/lib/live555/liveMedia/RTSPClient.cpp
+            src/lib/live555/liveMedia/RTSPCommon.cpp
+            src/lib/live555/liveMedia/SimpleRTPSink.cpp
+            src/lib/live555/liveMedia/SimpleRTPSource.cpp
+            src/lib/live555/liveMedia/our_md5.c
+            src/lib/live555/liveMedia/our_md5hl.c
+            src/lib/live555/liveMedia/rtcp_from_spec.c
+)
+source_group("Source Files\\lib\\live555" FILES ${LIVE555_SOURCES})
+
+SET(LIVE555_HEADERS
+            src/lib/live555/groupsock/include/NetCommon.h
+            src/lib/live555/liveMedia/our_md5.h
+            src/lib/live555/liveMedia/rtcp_from_spec.h
+            src/lib/live555/BasicUsageEnvironment/include/BasicHashTable.hh
+            src/lib/live555/BasicUsageEnvironment/include/BasicUsageEnvironment.hh
+            src/lib/live555/BasicUsageEnvironment/include/BasicUsageEnvironment0.hh
+            src/lib/live555/BasicUsageEnvironment/include/BasicUsageEnvironment_version.hh
+            src/lib/live555/BasicUsageEnvironment/include/DelayQueue.hh
+            src/lib/live555/BasicUsageEnvironment/include/HandlerSet.hh
+            src/lib/live555/groupsock/include/GroupEId.hh
+            src/lib/live555/groupsock/include/Groupsock.hh
+            src/lib/live555/groupsock/include/GroupsockHelper.hh
+            src/lib/live555/groupsock/include/groupsock_version.hh
+            src/lib/live555/groupsock/include/IOHandlers.hh
+            src/lib/live555/groupsock/include/NetAddress.hh
+            src/lib/live555/groupsock/include/NetInterface.hh
+            src/lib/live555/groupsock/include/TunnelEncaps.hh
+            src/lib/live555/liveMedia/include/Base64.hh
+            src/lib/live555/liveMedia/include/BasicUDPSource.hh
+            src/lib/live555/liveMedia/include/DigestAuthentication.hh
+            src/lib/live555/liveMedia/include/FramedFilter.hh
+            src/lib/live555/liveMedia/include/FramedSource.hh
+            src/lib/live555/liveMedia/include/liveMedia.hh
+            src/lib/live555/liveMedia/include/liveMedia_version.hh
+            src/lib/live555/liveMedia/include/Locale.hh
+            src/lib/live555/liveMedia/include/Media.hh
+            src/lib/live555/liveMedia/include/MediaSession.hh
+            src/lib/live555/liveMedia/include/MediaSink.hh
+            src/lib/live555/liveMedia/include/MediaSource.hh
+            src/lib/live555/liveMedia/include/MPEG2TransportStreamFramer.hh
+            src/lib/live555/liveMedia/include/MultiFramedRTPSink.hh
+            src/lib/live555/liveMedia/include/MultiFramedRTPSource.hh
+            src/lib/live555/liveMedia/include/RTCP.hh
+            src/lib/live555/liveMedia/include/RTPInterface.hh
+            src/lib/live555/liveMedia/include/RTPSink.hh
+            src/lib/live555/liveMedia/include/RTPSource.hh
+            src/lib/live555/liveMedia/include/RTSPClient.hh
+            src/lib/live555/liveMedia/include/RTSPCommon.hh
+            src/lib/live555/liveMedia/include/SimpleRTPSink.hh
+            src/lib/live555/liveMedia/include/SimpleRTPSource.hh
+            src/lib/live555/UsageEnvironment/include/Boolean.hh
+            src/lib/live555/UsageEnvironment/include/HashTable.hh
+            src/lib/live555/UsageEnvironment/include/strDup.hh
+            src/lib/live555/UsageEnvironment/include/UsageEnvironment.hh
+            src/lib/live555/UsageEnvironment/include/UsageEnvironment_version.hh
+)
+source_group("Header Files\\lib\\live555" FILES ${LIVE555_HEADERS})
+
 # Make sure that CMake adds all files to the MSVC project
-list(APPEND MPTV_SOURCES ${MPTV_HEADERS} ${TSREADER_SOURCES} ${TSREADER_HEADERS} ${RESOURCE_FILES})
-
-set(DEPLIBS ${platform_LIBRARIES}
+list(APPEND MPTV_SOURCES ${MPTV_HEADERS} ${TSREADER_SOURCES} ${TSREADER_HEADERS} ${RESOURCE_FILES} ${LIVE555_SOURCES} ${LIVE555_HEADERS})
+
+set(DEPLIBS ${p8-platform_LIBRARIES}
             ${TINYXML_LIBRARIES})
 
 if(WIN32)

=== debian/changelog ===
kodi-pvr-mediaportal-tvserver (2.4.14+dfsg1-1build2) bionic; urgency=medium

  * No-change rebuild against liblivemedia61.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sat, 27 Jan 2018 21:19:36 +0100

kodi-pvr-mediaportal-tvserver (2.4.14+dfsg1-1build1) artful; urgency=medium

  * No-change rebuild against latest liblivemedia

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 13 Jul 2017 21:08:15 -0400

kodi-pvr-mediaportal-tvserver (2.4.14+dfsg1-1) unstable; urgency=medium

  * Fix Homepage URL
  * Imported Upstream version 2.4.14+dfsg1

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 25 Jan 2017 13:12:10 +0100

kodi-pvr-mediaportal-tvserver (2.4.10+dfsg1-1) unstable; urgency=medium

  * Update d/control using cme fix
  * Depend on PVR API version of Kodi we built the addon with
  * Omit debian/ dir from upstream tarball
  * Add watch file
  * Imported Upstream version 2.4.10+dfsg1

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 24 Dec 2016 03:24:52 +0100

kodi-pvr-mediaportal-tvserver (2.4.6+git20160926-1) unstable; urgency=medium

  * Imported Upstream version 2.4.6+git20160926
  * Build-depend on latest libkodiplatform-dev and kodi-addons-dev
  * Build-depend on kodi-addons-dev version which has all the needed headers
  * Drop obsoleted patches
  * Drop hack to build with p8-platform
  * Use system's Live555 libraries

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 04 Nov 2016 17:00:09 +0100

=== debian/control ===
Source: kodi-pvr-mediaportal-tvserver
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9.0.0),
               cmake,
               libtinyxml-dev,
               liblivemedia-dev,
               pkg-config,
               libkodiplatform-dev (>= 17.1.0),
               kodi-addons-dev (>= 17.0~beta6~)
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kodi-pvr-mediaportal-tvserver.git
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kodi-pvr-mediaportal-tvserver.git
Homepage: https://github.com/kodi-pvr/pvr.mediaportal.tvserver.git

Package: kodi-pvr-mediaportal-tvserver
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Description: MediaPortal's TV-Server PVR addon for Kodi
 This package contains the MediaPortal's TV-Server PVR (Personal Video
 Recorder) Addon for Kodi, the award winning free and open source
 software media-player and entertainment hub for all your digital media.
 .
 TV-Server is the component of MediaPortal that manages the user's
 TV cards and streams the TV signal over the network.

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg1,uversionmangle=s/_/./g,dversionmangle=s/.dfsg[0-9]*//" \
   https://github.com/kodi-pvr/pvr.mediaportal.tvserver/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## kodi-pvr-mediaportal-tvserver 3.5.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,14 +10,6 @@
 find_package(kodiplatform REQUIRED)
 find_package(p8-platform REQUIRED)
 find_package(TinyXML REQUIRED)
-
-# Grab the addon version info from the addon.xml file
-FILE(READ ${PROJECT_NAME}/addon.xml.in MPTV_ADDONXML)
-STRING(REGEX MATCH "<addon[^>]*version.?=.?.[0-9\\.]+" MPTV_VERSION_STRING ${MPTV_ADDONXML})
-STRING(REGEX REPLACE ".*version=.([0-9\\.]+).*" "\\1" MPTV_VERSION ${MPTV_VERSION_STRING})
-
-# Generate an addon_version.h header with the version information
-configure_file(src/addon_version.h.in addon_version.h)
 
 set(LIVE555_INCLUDE_DIR
   src/lib/live555/liveMedia/include
@@ -27,7 +19,7 @@
   src/lib/live555/
 )
 
-set(LIVE555_DEFINES -DLIVE555 -DSOCKLEN_T=socklen_t -DBSD=1)
+set(LIVE555_DEFINES -DLIVE555 -D_WINSOCK_DEPRECATED_NO_WARNINGS -DSOCKLEN_T=socklen_t -DBSD=1)
 
 include_directories(${kodiplatform_INCLUDE_DIRS}
                     ${p8-platform_INCLUDE_DIRS}
@@ -67,8 +59,7 @@
 endif(WIN32)
 
 # Header files
-set(MPTV_HEADERS addon_version.h
-                 src/Cards.h
+set(MPTV_HEADERS src/Cards.h
                  src/channels.h
                  src/client.h
                  src/DateTime.h
@@ -84,7 +75,10 @@
                  src/utils.h)
 source_group("Header Files" FILES ${MPTV_HEADERS})
 if(WIN32)
-  set(MPTV_HEADERS_WINDOWS src/windows/WindowsUtils.h)
+  set(MPTV_HEADERS_WINDOWS
+    src/FileUtils.h
+    src/windows/WindowsUtils.h
+  )
   source_group("Header Files\\windows" FILES ${MPTV_HEADERS_WINDOWS})
   list(APPEND MPTV_HEADERS ${MPTV_HEADERS_WINDOWS})
 endif(WIN32)
@@ -236,7 +230,7 @@
 source_group("Header Files\\lib\\live555" FILES ${LIVE555_HEADERS})
 
 # Make sure that CMake adds all files to the MSVC project
-list(APPEND MPTV_SOURCES ${MPTV_HEADERS} ${TSREADER_SOURCES} ${TSREADER_HEADERS} ${RESOURCE_FILES} ${LIVE555_SOURCES} ${LIVE555_HEADERS})
+list(APPEND MPTV_SOURCES ${MPTV_HEADERS} ${TSREADER_SOURCES} ${TSREADER_HEADERS} ${LIVE555_SOURCES} ${LIVE555_HEADERS})
 
 set(DEPLIBS ${p8-platform_LIBRARIES}
             ${TINYXML_LIBRARIES})

=== debian/changelog ===
kodi-pvr-mediaportal-tvserver (3.5.18-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Balint Reczey ]
  * Add basic Salsa CI configuration
  * Don't repack original source
  * New upstream version 3.5.18
  * Refresh patches
  * Readd patch to use system's Live555 libraries
  * Bump libkodiplatform-dev and kodi-addons-dev build-dependency versions

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 21 Mar 2020 16:38:26 +0100

=== debian/control ===
Source: kodi-pvr-mediaportal-tvserver
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               cmake,
               kodi-addons-dev (>= 2:18~),
               libkodiplatform-dev (>= 20150826),
               liblivemedia-dev,
               libtinyxml-dev,
               pkg-config
Standards-Version: 3.9.7
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-pvr-mediaportal-tvserver
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-pvr-mediaportal-tvserver.git
Homepage: https://github.com/kodi-pvr/pvr.mediaportal.tvserver.git

Package: kodi-pvr-mediaportal-tvserver
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Description: MediaPortal's TV-Server PVR addon for Kodi
 This package contains the MediaPortal's TV-Server PVR (Personal Video
 Recorder) Addon for Kodi, the award winning free and open source
 software media-player and entertainment hub for all your digital media.
 .
 TV-Server is the component of MediaPortal that manages the user's
 TV cards and streams the TV signal over the network.

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,11 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@
+	dh $@ --with kodiaddon
 
 override_dh_auto_configure:
-	ln -s /usr/include/cec-platform src/platform
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi
+
 override_dh_installdocs:
 	dh_installdocs --link-doc=kodi-pvr-mediaportal-tvserver

=== debian/watch ===
version=4
https://github.com/kodi-pvr/pvr.mediaportal.tvserver/releases /kodi-pvr/.*/archive/?(\d\S*)-[A-Za-z]*\.tar\.gz

## kodi-pvr-mediaportal-tvserver 8.1.0+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,9 @@
+cmake_minimum_required(VERSION 3.5)
 project(pvr.mediaportal.tvserver)
 
-cmake_minimum_required(VERSION 2.6)
-
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})
 
-enable_language(CXX)
-
 find_package(Kodi REQUIRED)
-find_package(kodiplatform REQUIRED)
 find_package(p8-platform REQUIRED)
 find_package(TinyXML REQUIRED)
 
@@ -21,10 +17,9 @@
 
 set(LIVE555_DEFINES -DLIVE555 -D_WINSOCK_DEPRECATED_NO_WARNINGS -DSOCKLEN_T=socklen_t -DBSD=1)
 
-include_directories(${kodiplatform_INCLUDE_DIRS}
-                    ${p8-platform_INCLUDE_DIRS}
+include_directories(${p8-platform_INCLUDE_DIRS}
                     ${TINYXML_INCLUDE_DIR}
-                    ${KODI_INCLUDE_DIR}
+                    ${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                     ${PROJECT_SOURCE_DIR}/src
                     ${PROJECT_BINARY_DIR}
                     ${LIVE555_INCLUDE_DIR}
@@ -37,15 +32,16 @@
 endif()
 
 # Source files
-set(MPTV_SOURCES src/Cards.cpp
+set(MPTV_SOURCES src/addon.cpp
+                 src/Cards.cpp
                  src/channels.cpp
-                 src/client.cpp
                  src/DateTime.cpp
                  src/epg.cpp
                  src/GenreTable.cpp
                  src/GUIDialogRecordSettings.cpp
                  src/pvrclient-mediaportal.cpp
                  src/recordings.cpp
+                 src/settings.cpp
                  src/Socket.cpp
                  src/timers.cpp
                  src/uri.cpp
@@ -59,9 +55,9 @@
 endif(WIN32)
 
 # Header files
-set(MPTV_HEADERS src/Cards.h
+set(MPTV_HEADERS src/addon.h
+                 src/Cards.h
                  src/channels.h
-                 src/client.h
                  src/DateTime.h
                  src/epg.h
                  src/GenreTable.h
@@ -69,6 +65,7 @@
                  src/os-dependent.h
                  src/pvrclient-mediaportal.h
                  src/recordings.h
+                 src/settings.h
                  src/Socket.h
                  src/timers.h
                  src/uri.h

=== debian/changelog ===
kodi-pvr-mediaportal-tvserver (8.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 8.1.0+ds1
  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:23:58 +0000

kodi-pvr-mediaportal-tvserver (8.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 8.0.0+ds1
    + Repack out vendored dependencies
  * d/rules:
    + Use architecture.mk for DEB_HOST_MULTIARCH
    + Enable hardening flags
  * Update d/watch
  * d/control:
    + Remove Balint Reczey from Uploaders per his wish, and add myself
    + Use dh-sequence-kodiaddon
    + Drop kodiplatform and liblivemedia-dev build-dependencies
    + Update Vcs-* for the move to 'kodi-media-center' subgroup
    + Bump Standards-Version to 4.5.1, no changes needed
    + Bump debhelper compat level to 13, use debhelper-compat and drop d/compat
  * Update d/copyright
  * Add new d/upstream/metadata

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 20 Dec 2020 22:12:17 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.mediaportal.tvserver/releases \
/kodi-pvr/pvr.mediaportal.tvserver/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-pvr-mediaportal-tvserver 8.1.2+ds1

=== debian/changelog ===
kodi-pvr-mediaportal-tvserver (8.1.2+ds1-1) unstable; urgency=medium

  * New upstream version 8.1.2+ds1
  * Fix github release links in watchfile
  * Drop merged patch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 16 May 2021 20:42:12 +0000

=== debian/control ===
Source: kodi-pvr-mediaportal-tvserver
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
 cmake,
 kodi-addons-dev (>= 2:19~),
# See upstream issue #123
# liblivemedia-dev,
 libtinyxml-dev,
 pkg-config
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mediaportal-tvserver
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mediaportal-tvserver.git
Homepage: https://github.com/kodi-pvr/pvr.mediaportal.tvserver.git

Package: kodi-pvr-mediaportal-tvserver
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${kodi:PVRAPI}
Description: MediaPortal's TV-Server PVR addon for Kodi
 This package contains the MediaPortal's TV-Server PVR (Personal Video
 Recorder) Addon for Kodi, the award winning free and open source
 software media-player and entertainment hub for all your digital media.
 .
 TV-Server is the component of MediaPortal that manages the user's
 TV cards and streams the TV signal over the network.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
            -DBUILD_SHARED_LIBS=1 \
            -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
            -DOVERRIDE_PATHS=1 \
            -DUSE_LTO=1

override_dh_auto_install:
	dh_auto_install
	rm $(CURDIR)/debian/kodi-pvr-mediaportal-tvserver/usr/share/kodi/addons/pvr.mediaportal.tvserver/LICENSE.txt
	rm -r $(CURDIR)/debian/kodi-pvr-mediaportal-tvserver/usr/share/kodi/addons/pvr.mediaportal.tvserver/TVServerKodi

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.mediaportal.tvserver/releases \
/kodi-pvr/pvr.mediaportal.tvserver/archive/refs/tags/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-pvr-mediaportal-tvserver 19.0.0%2Bds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})
 
 find_package(Kodi REQUIRED)
-find_package(p8-platform REQUIRED)
 find_package(TinyXML REQUIRED)
 
 set(LIVE555_INCLUDE_DIR
@@ -17,8 +16,7 @@
 
 set(LIVE555_DEFINES -DLIVE555 -D_WINSOCK_DEPRECATED_NO_WARNINGS -DSOCKLEN_T=socklen_t -DBSD=1)
 
-include_directories(${p8-platform_INCLUDE_DIRS}
-                    ${TINYXML_INCLUDE_DIR}
+include_directories(${TINYXML_INCLUDE_DIR}
                     ${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                     ${PROJECT_SOURCE_DIR}/src
                     ${PROJECT_BINARY_DIR}
@@ -229,8 +227,7 @@
 # Make sure that CMake adds all files to the MSVC project
 list(APPEND MPTV_SOURCES ${MPTV_HEADERS} ${TSREADER_SOURCES} ${TSREADER_HEADERS} ${LIVE555_SOURCES} ${LIVE555_HEADERS})
 
-set(DEPLIBS ${p8-platform_LIBRARIES}
-            ${TINYXML_LIBRARIES})
+set(DEPLIBS ${TINYXML_LIBRARIES})
 
 if(WIN32)
   list(APPEND DEPLIBS ws2_32)

## kodi-pvr-mediaportal-tvserver 19.0.0+ds1

=== debian/changelog ===
kodi-pvr-mediaportal-tvserver (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:13:52 +0000

kodi-pvr-mediaportal-tvserver (8.2.1+ds1-1) unstable; urgency=medium

  * New upstream version 8.2.1+ds1
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:32:15 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # liblivemedia-dev,
  libtinyxml-dev,
  pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mediaportal-tvserver
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mediaportal-tvserver.git

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
             -DBUILD_SHARED_LIBS=1 \
             -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
             -DOVERRIDE_PATHS=1 \
-            -DUSE_LTO=1
+            -DUSE_LTO=0
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.mediaportal.tvserver/releases \
/kodi-pvr/pvr.mediaportal.tvserver/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-pvr-mediaportal-tvserver 19.0.2+ds1

=== debian/changelog ===
kodi-pvr-mediaportal-tvserver (19.0.2+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:49 +0000

kodi-pvr-mediaportal-tvserver (19.0.2+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.2+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:49:14 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
  cmake,
- kodi-addons-dev (>= 2:19~),
 # See upstream issue #123
 # liblivemedia-dev,
  libtinyxml-dev,

## kodi-pvr-mediaportal-tvserver 20.2.0+ds1

=== debian/changelog ===
kodi-pvr-mediaportal-tvserver (20.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:55:01 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.mediaportal.tvserver/releases \
/kodi-pvr/pvr.mediaportal.tvserver/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-pvr-mediaportal-tvserver 20.3.0+ds1

=== debian/changelog ===
kodi-pvr-mediaportal-tvserver (20.3.0+ds1-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:52:02 +0200

kodi-pvr-mediaportal-tvserver (20.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.0+ds1
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:54:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: kodi-pvr-mediaportal-tvserver
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
  cmake,
 # See upstream issue #123
 # liblivemedia-dev,
  libtinyxml-dev,
  pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mediaportal-tvserver
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mediaportal-tvserver.git

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,13 @@
 	dh $@
 
 override_dh_auto_configure:
+	# basilgello: -DCMAKE_INSTALL_DIR silences Kodi buildsystem
+	# warning triggered by dh_configure unnecessarily overriding
+	# install directory
+	# -DUSE_LTO=0 disables LTO and makes build reproducible
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
             -DBUILD_SHARED_LIBS=1 \
             -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
-            -DOVERRIDE_PATHS=1 \
             -DUSE_LTO=0
 
 override_dh_auto_install:

## kodi-pvr-mediaportal-tvserver 21.0.3+ds

=== debian/changelog ===
kodi-pvr-mediaportal-tvserver (21.0.3+ds-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:13:46 +0000

kodi-pvr-mediaportal-tvserver (21.0.3+ds-1) unstable; urgency=medium

  * New upstream version 21.0.3+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:57:19 +0000

kodi-pvr-mediaportal-tvserver (21.0.0+ds-1) experimental; urgency=medium

  * New upstream version 21.0.0+ds
  * Branch out experimental
  * Modernize package
  * New release 20.2.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:10:07 +0000

## kodi-pvr-mediaportal-tvserver 21.0.4+ds

=== debian/changelog ===
kodi-pvr-mediaportal-tvserver (21.0.4+ds-1) unstable; urgency=high

  * New upstream version 21.0.4+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 04 Nov 2024 17:22:37 +0000

## kodi-pvr-mediaportal-tvserver 21.0.5+ds

=== debian/changelog ===
kodi-pvr-mediaportal-tvserver (21.0.5+ds-1) unstable; urgency=high

  * New upstream version 21.0.5+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:45:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: kodi-pvr-mediaportal-tvserver
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
  cmake,
 # See upstream issue #123
 # liblivemedia-dev,
  libtinyxml-dev,
  pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mediaportal-tvserver
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mediaportal-tvserver.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mediaportal-tvserver.git -b debian/sid
 Homepage: https://github.com/kodi-pvr/pvr.mediaportal.tvserver.git
 
 Package: kodi-pvr-mediaportal-tvserver

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.mediaportal.tvserver \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
